#[cfg(test)]
mod test_module
{
    #[test]
    fn test_array()
    {
        let array1 : [i32; 3] = [100, 200, 300];
        let array2 : [i32; 3] = [100, 200, 300];

        assert_eq!(array1, array2);

        let array3 : [String; 2] = ["사과".to_string(), "바나나".to_string()];
        let array4 : [String; 2] = [String::from("사과"), String::from("바나나")];

        assert_eq!(array3, array4);
    }
 
    #[test]
    fn test_vector()
    {
        let vector1 : Vec<&str> = vec!["apple", "banana", "mango"];

        let mut vector2:Vec<&str> = Vec::new();

        vector2.push("apple" );
        vector2.push("banana");
        vector2.push("mango" );

        assert_eq!(vector1, vector2);
    }
}